package in.gov.digilocker.uidai.services.xmlresponse;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name = "Poa")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(propOrder = { "co", "country", "dist", "house", "loc", "pc", "po", "state", "street", "subdist", "vtc", "lm" })
public class EKYCPoaRes {
	@XmlAttribute(name = "co")private String co;
	@XmlAttribute(name = "country")private String country;
	@XmlAttribute(name = "dist")private String dist;
	@XmlAttribute(name = "house")private String house;
	@XmlAttribute(name = "loc")private String loc;
	@XmlAttribute(name = "pc")private String pc;
	@XmlAttribute(name = "po")private String po;
	@XmlAttribute(name = "state")private String state;
	@XmlAttribute(name = "street")private String street;
	@XmlAttribute(name = "subdist")private String subdist;
	@XmlAttribute(name = "vtc")private String vtc;
	@XmlAttribute(name = "lm")private String lm;

	public EKYCPoaRes() {
		this.co = "";
		this.country = "";
		this.dist = "";
		this.house = "";
		this.loc = "";
		this.pc = "";
		this.po = "";
		this.state = "";
		this.street = "";
		this.subdist = "";
		this.vtc = "";
		this.lm = "";
	}

	public EKYCPoaRes(String co, String country, String dist, String house, String loc, String pc, String po, String state, String street, String subdist, String vtc, String lm) {
		this.co = co;
		this.country = country;
		this.dist = dist;
		this.house = house;
		this.loc = loc;
		this.pc = pc;
		this.po = po;
		this.state = state;
		this.street = street;
		this.subdist = subdist;
		this.vtc = vtc;
		this.lm = lm;
	}

	public String getCo() {
		return this.co;
	}

	public void setCo(String co) {
		this.co = co;
	}

	public String getCountry() {
		return this.country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getDist() {
		return this.dist;
	}

	public void setDist(String dist) {
		this.dist = dist;
	}

	public String getHouse() {
		return this.house;
	}

	public void setHouse(String house) {
		this.house = house;
	}

	public String getLoc() {
		return this.loc;
	}

	public void setLoc(String loc) {
		this.loc = loc;
	}

	public String getPc() {
		return this.pc;
	}

	public void setPc(String pc) {
		this.pc = pc;
	}

	public String getPo() {
		return this.po;
	}

	public void setPo(String po) {
		this.po = po;
	}

	public String getState() {
		return this.state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getStreet() {
		return this.street;
	}

	public void setStreet(String street) {
		this.street = street;
	}

	public String getSubdist() {
		return this.subdist;
	}

	public void setSubdist(String subdist) {
		this.subdist = subdist;
	}

	public String getVtc() {
		return this.vtc;
	}

	public void setVtc(String vtc) {
		this.vtc = vtc;
	}

	public String getLm() {
		return this.lm;
	}

	public void setLm(String lm) {
		this.lm = lm;
	}
}
